package jeliot.parser;

import java.util.*;

/**
  * PInterface represents a single java interface.
  *
  * @author Pekka Uronen
  *
  * created 5.8.1999
  */
public class PInterface extends PElement {

    protected PModifiers modifiers;
    protected String name;
    protected Vector interfaces;
    protected Vector body;

    public PInterface(PModifiers modifiers, String name, Vector interfaces,
            Vector body, int nameStart, int right) {

        super(nameStart, right);
        this.modifiers = modifiers;
        this.name = name;
        this.interfaces = interfaces;
        this.body = body;

        setParents(body);
    }

}
